package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.metrica;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * User: omaz
 * Date: 18.11.13
 * контейнер для запроса к metrica_get_banners
 */
public class MetricaBannerRequestData {
    private Long bannerID;
    private Integer orderID;

    public MetricaBannerRequestData(Long bannerID, int orderID) {
        this.bannerID = bannerID;
        this.orderID = orderID;
    }

    @JsonProperty("BannerID")
    public long getBannerID() {
        return this.bannerID;
    }

    @JsonProperty("OrderID")
    public int getOrderID() {
        return this.orderID;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }
}
